Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/find/{{external_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/find/{{external_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/find/{{external_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"movie_results": [],
"person_results": [],
"tv_episode_results": [],
"tv_results": [
{
"adult": false,
"backdrop_path": "/gc8PfyTqzqltKPW3X0cIVUGmagz.jpg",
"first_air_date": "2008-01-20",
"genre_ids": [
18,
80
],
"id": 1396,
"media_type": "tv",
"name": "Breaking Bad",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Breaking Bad",
"overview": "Walter White, a New Mexico chemistry teacher, is diagnosed with Stage III cancer and given a prognosis of only two years left to live. He becomes filled with a sense of fearlessness and an unrelenting desire to secure his family's financial future at any cost as he enters the dangerous world of drugs and crime.",
"popularity": 560.37,
"poster_path": "/ztkUQFLlC19CCMYHW9o1zWhJRNq.jpg",
"vote_average": 8.917,
"vote_count": 14636
}
],
"tv_season_results": []
}This endpoint allows you to search for all objects in our database, including movies, TV shows, and persons, by an external ID.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the external ID. Get it here [blocked]
Find By External ID
[]
[]
[]
Show child attributes
[
{
"adult": false,
"backdrop_path": "/gc8PfyTqzqltKPW3X0cIVUGmagz.jpg",
"first_air_date": "2008-01-20",
"genre_ids": [18, 80],
"id": 1396,
"media_type": "tv",
"name": "Breaking Bad",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Breaking Bad",
"overview": "Walter White, a New Mexico chemistry teacher, is diagnosed with Stage III cancer and given a prognosis of only two years left to live. He becomes filled with a sense of fearlessness and an unrelenting desire to secure his family's financial future at any cost as he enters the dangerous world of drugs and crime.",
"popularity": 560.37,
"poster_path": "/ztkUQFLlC19CCMYHW9o1zWhJRNq.jpg",
"vote_average": 8.917,
"vote_count": 14636
}
]
[]